/*
 * @Date: 2021-12-18 15:49:01
 * @LastEditors: JinxChen
 * @LastEditTime: 2023-03-27 15:29:01
 * @FilePath: \TelpoH5FrontendWeb\src\api\core.js
 * @description:
 * b端的接口, 每次调用前先获取token
 */
import axios from 'axios';
import prefix from '@/store/prefix'
const baseUrl = process.env.VUE_APP_BASE_API + 'gateway';
const service = axios.create({
    baseURL: baseUrl,
});
service.interceptors.request.use(
    request => {
        if (localStorage.getItem(prefix + 'gatewayToken')) {
            request.headers.AccessToken = localStorage.getItem(prefix + 'gatewayToken');
        }
        return request;
    },
);
export const APICore = {
    areaAlarmDetail, //获取告警详情
    getAuth, //获取b端接口token
    changeAlarmStatus, //修改非法区域告警推送状态
    QueryLiveBasePackage, //获取基本套餐
    payLiveBaseDevice, //微信统一下单
    GpsDeviceFence, //围栏 redis
    cardPackageList, //零川基础套餐列表
    devicePayPackage,
    drownReportFilterAdd,//添加过滤危险水域区域
}
/* const headerAuth = this.$store.getters.gatewayToken; */
// 获取告警详情
function areaAlarmDetail(data) {
    return service({
        url: `${baseUrl}/core/api/v1/Fence/AreaAlarmDetail`,
        method: 'get',
        params: data,
    })
}
// 获取告警授权token
function getAuth(params) {
    return service({
      url: `${baseUrl}/core/api/v1/Ability/study_ai/terminal/auth`,
      method: 'post',
      data: params
    })
}
function changeAlarmStatus(params) {
    return service({
      url: `${baseUrl}/core/api/v1/Fence/AddAreaUserFilter`,
      method: 'post',
      data: params
    })
}
function GpsDeviceFence(params) {
    return service({
      url: `${baseUrl}/core/api/v1/Redis/GpsDeviceFence`,
      method: 'post',
      data: params
    })
}
// 获取基本套餐信息
function QueryLiveBasePackage(params) {
    return service({
      url: `${baseUrl}/core/api/v1/Device/QueryLiveBasePackage`,
      method: 'post',
      data: params
    });
}
// 统一下单
// 获取基本套餐信息
function payLiveBaseDevice(params) {
    return service({
      url: `${baseUrl}/core/api/v1/Device/PayLiveBaseDevice`,
      method: 'post',
      data: params
    });
}

function cardPackageList(data) {
    return service({
        url: `${baseUrl}/core/api/v1/open/card/QueryIotCardPackage`,
        method: 'post',
        data,
    });
}
function devicePayPackage(imei) {
    return service({
        url: `${baseUrl}/core/api/v1/open/card/GetDevicePayPackage`,
        method: 'get',
        params: {imei},
    })
}
function drownReportFilterAdd(data) {
    return service({
        url: `${baseUrl}/core/api/v1/Device/DrownReportFilterAdd`,
        method: 'post',
        data,
    });
}
export default APICore;
